## jffi 1.0.2

=== debian/changelog ===
jffi (1.0.2-11) unstable; urgency=low

  * Re-enable OSGi metadata generation.
    - Request from Ubuntu only applies to their 'main' components,
      this package is in 'universe'.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 15 Jun 2013 20:23:54 +0200

jffi (1.0.2-10) unstable; urgency=low

  * Team upload.

  [ Jakub Adam ]
  * Add OSGi metadata into jffi.jar. (currently disabled - see below)
  * Add Jakub Adam to Uploaders.
  * Bump Standards-Version to 3.9.4.

  [ tony mancill ]
  * Comment-out call to bnd as per request on debian-java:
    - http://lists.debian.org/debian-java/2013/02/msg00057.html
  * Remove non UTF-8 in debian changelog. (Closes: #711890)
  * Acknowledge NMU - thank you to Matthias Klose.
    - Closes: #646594, #707797, #701301
  * Address lintian warning regarding BSD license.

 -- tony mancill <tmancill@debian.org>  Mon, 10 Jun 2013 13:16:54 -0700

jffi (1.0.2-9.1) unstable; urgency=low

  * Non maintainer upload.
  * Remove Torsten Werner from uploaders.
  * Don't hard-code dependency on libffi runtime library.
    Closes: #646593, #707797.
  * Fix build failure with GCC 4.8. Closes: #701301.

 -- Matthias Klose <doko@debian.org>  Sun, 12 May 2013 01:00:25 +0200

jffi (1.0.2-9) unstable; urgency=low

  * Team upload.
  * Patch d/control build-dep on default-jdk.  (Closes: #675180)
    - Thanks to James Page.
  * Bump Standards-Version to 3.9.3 (no changes). 
  * d/copyright: update for DEP5 and to address lintian warnings.
  * d/control: update Vcs-Git URL.

 -- tony mancill <tmancill@debian.org>  Wed, 30 May 2012 21:48:31 -0700

jffi (1.0.2-8.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667215.

 -- Matthias Klose <doko@debian.org>  Fri, 04 May 2012 08:53:38 +0200

jffi (1.0.2-8) unstable; urgency=low

  * Add version restriction to Depends: libjffi-jni.
  * Add a patch to load jffi-native.jar from system directory.

 -- Torsten Werner <twerner@debian.org>  Sat, 17 Sep 2011 11:44:48 +0200

jffi (1.0.2-7) experimental; urgency=low

  * Change Build-Depends: openjdk-6-jdk. (Closes: #594023)

 -- Torsten Werner <twerner@debian.org>  Thu, 16 Sep 2010 22:35:57 +0200

jffi (1.0.2-6) unstable; urgency=low

  * Do not add -m32 or -m64 to CC and LD in libtest, too.

 -- Torsten Werner <twerner@debian.org>  Thu, 05 Aug 2010 05:12:12 +0200

jffi (1.0.2-5) unstable; urgency=low

  * Do not add -m32 or -m64 to CC and LD.

 -- Torsten Werner <twerner@debian.org>  Thu, 05 Aug 2010 04:29:25 +0200

jffi (1.0.2-4) unstable; urgency=low

  * Move all Build-Depends-Indep to Build-Depends. (Closes: #591641)

 -- Torsten Werner <twerner@debian.org>  Thu, 05 Aug 2010 02:53:54 +0200

jffi (1.0.2-3) unstable; urgency=low

  * Fix debian/copyright.

 -- Torsten Werner <twerner@debian.org>  Sun, 01 Aug 2010 19:59:54 +0200

jffi (1.0.2-2) unstable; urgency=low

  * Add missing Build-Depends: pkg-config.
  * Add missing Depends: libffi5 to -jni package.

 -- Torsten Werner <twerner@debian.org>  Sat, 31 Jul 2010 18:13:35 +0200

jffi (1.0.2-1) unstable; urgency=low

  * Initial Release (closes: #590990).
    - The package is needed by JRuby.

 -- Torsten Werner <twerner@debian.org>  Fri, 30 Jul 2010 21:47:34 +0200
