=== debian/control ===
Source: jffi
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 7), cdbs, maven-repo-helper, libffi-dev, pkg-config,
 ant-optional, default-jdk, junit4, bnd
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-java/jffi.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/jffi.git
Homepage: http://github.com/wmeissner/jffi

Package: libjffi-java
Architecture: all
Depends: ${misc:Depends}, libjffi-jni (>= ${source:Version})
Description: Java Foreign Function Interface
 JFFI is a wrapper for libffi, the foreign function interface library. A foreign
 function interface is the popular name for the interface that allows code
 written in one language to call code written in another language.
 Java-based codings helper classes for Joni and JRuby

Package: libjffi-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libjffi-java
Description: Java Foreign Function Interface (JNI library)
 JFFI is a wrapper for libffi, the foreign function interface library. A foreign
 function interface is the popular name for the interface that allows code
 written in one language to call code written in another language.
 Java-based codings helper classes for Joni and JRuby
 .
 This package ships the Java native interface library.
