=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
DEB_ANT_BUILD_TARGET := -Duse.system.libffi=1 jar test
DEB_JARS             := ant-nodeps ant-junit junit4

common-post-build-indep::
	# Generate OSGi metadata for jffi.jar
	bnd wrap -properties debian/jffi.bnd -output dist/jffi.jar dist/jffi.jar

install/libjffi-java::
	mh_installpom -plibjffi-java pom.xml
	$(JAVA_HOME)/bin/jar umf debian/manifest dist/jffi.jar
	mh_installjar -plibjffi-java pom.xml -l dist/jffi.jar

install/libjffi-jni::
	install -D -m644 dist/jffi-*-*.jar \
		debian/libjffi-jni/usr/lib/jffi/jffi-native.jar
	cp ./build/jni/libjffi-1.0.so debian/libjffi-jni/usr/lib/

binary-predeb/libjffi-jni::
	rm -f debian/libjffi-jni/usr/lib/libjffi-1.0.so

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
