=== debian/watch ===
version=3
http://github.com/wmeissner/jffi/downloads \
  /wmeissner/jffi/tarball/(.*) debian debian/orig-tar.sh
