## jffi 1.2.7

=== debian/changelog ===
jffi (1.2.7-11build4.1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:14 +0200

jffi (1.2.7-11build4) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Aug 2020 20:11:58 +0100

jffi (1.2.7-11build3) groovy; urgency=medium

  * No change rebuild against new libffi ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Aug 2020 13:17:35 +0100

jffi (1.2.7-11build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:04:24 +0000

jffi (1.2.7-11build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:29:31 +0000

jffi (1.2.7-11) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898230)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 May 2018 09:56:51 +0200

jffi (1.2.7-10) unstable; urgency=medium

  * Team upload.
  * Restored the Export-Package field in the OSGi metadata
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Nov 2016 14:06:56 +0100

jffi (1.2.7-9) unstable; urgency=medium

  * Team upload.
  * Apply patch to build on non-Linux architectures (Closes: #808175).
    Thank you to Steven Chamberlain for the patch!

 -- tony mancill <tmancill@debian.org>  Wed, 23 Dec 2015 11:01:55 -0800

jffi (1.2.7-8) unstable; urgency=medium

  * Fix FTBFS on buildd by making the jh_manifest override arch-indep.

 -- Markus Koschany <apo@debian.org>  Fri, 20 Nov 2015 15:52:39 +0100

jffi (1.2.7-7) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Update Vcs-Browser field. (Closes: #795739).
    Thanks to Hans Joachim Desserud <debian@desserud.org> for the report
    and fix.

  [ Markus Koschany ]
  * Transition to bnd 2.1.0.
  * Vcs-Browser: Use https.
  * Fix Lintian warning dep5-copyright-license-name-not-unique.
  * d/rules: export CCACHE_DIR=$(CURDIR)/ccache and fix FTBFS due to otherwise
    nonexistent home directory.
  * Fix duplicate copyright paragraph for debian files. Use a more permissive
    license and do not make it difficult to apply Debian patches upstream.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Nov 2015 16:04:04 +0100

jffi (1.2.7-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS for arch binary package in almost all architectures.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 15 Aug 2015 20:53:05 +0200

jffi (1.2.7-5) unstable; urgency=medium

  * Team upload.
  * Add disable-MODEL-in-makefiles.patch.  This addresses FTBFS for arm64 (and
    possibly other architectures), although there are still some issues with
    while running tests.

 -- tony mancill <tmancill@debian.org>  Fri, 03 Jul 2015 12:18:59 -0700

jffi (1.2.7-4) unstable; urgency=medium

  * Re-enable OSGi metadata generation.
    - Lost during package update.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 20 Jun 2015 21:21:55 +0200

jffi (1.2.7-3) unstable; urgency=medium

  [ Miguel Landaeta ]
  * Team upload.
  * Upload to unstable.

  [ Tim Potter ]
  * Update upstream project URLs.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 07 May 2015 13:11:38 -0300

jffi (1.2.7-2) experimental; urgency=medium

  * Team upload.
  * libjffi-jni no longer installs files under /usr/share.
    The replaces jffi-native.jar with the JNI .so installed in
    /usr/lib/$multi-arch-triplet/jni/.  (Closes: #781889)
  * Update debian/control:
    - libjffi-java is now Multi-Arch: foreign
    - libjffi-jni is now Multi-Arch: same
  * Enable unit tests.

 -- tony mancill <tmancill@debian.org>  Sat, 04 Apr 2015 15:21:32 -0700

jffi (1.2.7-1) experimental; urgency=low

  * Team upload.
  [ Tim Potter ]
  * New upstream release (Closes: #776082)

  [ tony mancill ]
  * Update debian/copyright; jffi is now dual-licensed under Apache 2.0 or
    LGPL-3. (See upstream commit: 36b973f46c44efb728bc1db350ec5fd35347553e)
  * Update debian/watch to repack upstream tarball to remove JARs.

 -- tony mancill <tmancill@debian.org>  Sun, 25 Jan 2015 21:54:13 -0800
