=== debian/control ===
--- 
+++ 
@@ -1,17 +1,32 @@
 Source: jffi
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 7), cdbs, maven-repo-helper, libffi-dev, pkg-config,
- ant-optional, default-jdk, junit4, bnd
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-java/jffi.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/jffi.git
-Homepage: http://github.com/wmeissner/jffi
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Tim Potter <tpot@hp.com>
+Build-Depends:
+ ant,
+ ant-optional,
+ bnd (>= 2.1.0),
+ debhelper (>= 11),
+ default-jdk,
+ javahelper,
+ junit4,
+ libffi-dev,
+ libltdl-dev,
+ libmaven-antrun-plugin-java,
+ libmaven-assembly-plugin-java,
+ maven-debian-helper,
+ maven-repo-helper,
+ pkg-config
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/java-team/jffi.git
+Vcs-Browser: https://salsa.debian.org/java-team/jffi
+Homepage: https://github.com/jnr/jffi
 
 Package: libjffi-java
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, libjffi-jni (>= ${source:Version})
 Description: Java Foreign Function Interface
  JFFI is a wrapper for libffi, the foreign function interface library. A foreign
@@ -21,6 +36,7 @@
 
 Package: libjffi-jni
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libjffi-java
 Description: Java Foreign Function Interface (JNI library)
