=== debian/watch ===
#version=3
#opts=dversionmangle=s/\.dfsg// \
#http://githubredir.debian.net/github/jnr/jffi/ (.+).tar.gz debian debian/orig-tar.sh
#
version=3
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jffi-$1\.tar\.gz/ \
https://github.com/jnr/jffi/releases .*/v?(\d\S*)\.tar\.gz debian debian/repack-tar.sh
