## jffi 1.3.9+ds

=== debian/changelog ===
jffi (1.3.9+ds-6) unstable; urgency=medium

  * Team upload.
  * d/patches: add fix for riscv64 patch

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 10 Jan 2023 17:47:44 -0500

jffi (1.3.9+ds-5) unstable; urgency=medium

  * Team upload.
  * d/patches: fix mipsel patch
  * d/patches: add support for riscv64 architecture (Closes: #1025418)

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 04 Dec 2022 12:48:47 -0500

jffi (1.3.9+ds-4) unstable; urgency=medium

  * Team upload.
  * d/rules: improve dh_clean target
  * d/patches: new patch to fix tests on 32bit arm
  * d/patches: add support for mipsel architecture

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 04 Dec 2022 00:45:16 -0500

jffi (1.3.9+ds-3) unstable; urgency=medium

  * Team upload.
  * d/patches: add patch to show test results on console

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 30 Nov 2022 15:40:33 -0500

jffi (1.3.9+ds-2) unstable; urgency=medium

  * Team upload.
  * d/rules:
    + fix FTBFS with binary-arch target
    + optimize build targets
  * d/control:
    + bump dh-compat to 13
    + flag junit4 as test-only build dependency
    + add Build-Depends-Indep
    + run wrap-and-sort -bastk

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 30 Oct 2022 21:52:36 -0400

jffi (1.3.9+ds-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Forwarded the Java 10 patch

  [ Jérôme Charaoui ]
  * New upstream version 1.3.9
  * d/control:
    + add new dependency on maven-bundle-plugin
    + bump Standards-Version, no changes needed
  * d/patches:
    + rebase for new upstream version
    + add patch to fix native library linking
  * d/rules:
    + automatically version d/jffi.bnd
    + rework build and install targets
    - cleanup old code
  * d/maven.ignoreRules: ignore unndeed maven-jar-plugin
  * d/maven.rules: ignore build-helper-maven-plugin
  * d/watch: switch to git mode and Files-Excluded:
  * remove unneeded d/jffi-jni.poms

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 27 Oct 2022 23:05:39 -0400
