=== debian/control ===
Source: jffi
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Jakub Adam <jakub.adam@ktknet.cz>,
 Tim Potter <tpot@hp.com>,
Build-Depends:
 ant,
 ant-optional,
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 junit4 <!nocheck>,
 libffi-dev,
 libltdl-dev,
 maven-debian-helper,
 pkg-config,
Build-Depends-Indep:
 bnd (>= 2.1.0),
 libmaven-antrun-plugin-java,
 libmaven-assembly-plugin-java,
 libmaven-bundle-plugin-java,
 maven-repo-helper,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/jffi.git
Vcs-Browser: https://salsa.debian.org/java-team/jffi
Homepage: https://github.com/jnr/jffi

Package: libjffi-java
Architecture: all
Multi-Arch: foreign
Depends:
 libjffi-jni (>= ${source:Version}),
 ${misc:Depends},
Description: Java Foreign Function Interface
 JFFI is a wrapper for libffi, the foreign function interface library. A foreign
 function interface is the popular name for the interface that allows code
 written in one language to call code written in another language.
 Java-based codings helper classes for Joni and JRuby

Package: libjffi-jni
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libjffi-java,
Description: Java Foreign Function Interface (JNI library)
 JFFI is a wrapper for libffi, the foreign function interface library. A foreign
 function interface is the popular name for the interface that allows code
 written in one language to call code written in another language.
 Java-based codings helper classes for Joni and JRuby
 .
 This package ships the Java native interface library.
