## jffi 1.3.13%2Bds

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	ant -Duse.system.libffi=1 archive-platform-jar test
 endif
 
-JAR=debian/libjffi-java/usr/share/java/jffi.jar
+JAR=debian/libjffi-java/usr/share/java/jffi-$(DEB_VERSION_UPSTREAM:+ds=).jar
 override_jh_manifest-indep:
 	jh_manifest -plibjffi-java
 	# generate OSGi metadata
