## jffi 1.3.13+ds

=== debian/changelog ===
jffi (1.3.13+ds-1) unstable; urgency=medium

  * New upstream version 1.3.13+ds
  * d/copyright: update Files-Excluded patterns
  * d/patches: refresh for new upstream version
  * remove obsolete README.Debian-source

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 19 Feb 2024 19:04:05 -0500

jffi (1.3.12+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.12+ds (Closes: #1054575)
  * d/control: bump Standards-Version, no changes needed
  * d/control: add Rules-Requires-Root: no
  * d/patches: remove upstreamed patches
  * d/patches: mark junit patch as not needed upstream
  * d/rules: avoid clobbering versionless symlink

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 26 Oct 2023 09:27:47 -0400
