=== debian/control ===
--- 
+++ 
@@ -14,18 +14,19 @@
  junit4 <!nocheck>,
  libffi-dev,
  libltdl-dev,
- maven-debian-helper,
- pkg-config,
+ maven-debian-helper (>= 2.6.4),
+ pkgconf,
 Build-Depends-Indep:
  bnd (>= 2.1.0),
  libmaven-antrun-plugin-java,
  libmaven-assembly-plugin-java,
  libmaven-bundle-plugin-java,
  maven-repo-helper,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/jffi.git
 Vcs-Browser: https://salsa.debian.org/java-team/jffi
 Homepage: https://github.com/jnr/jffi
+Rules-Requires-Root: no
 
 Package: libjffi-java
 Architecture: all
