=== debian/watch ===
version=4
opts="mode=git,repacksuffix=+ds,dversionmangle=auto" \
https://github.com/jnr/jffi.git \
refs/tags/(?:jffi-)?v?@ANY_VERSION@
